Set Payment Match

This request allows you to set a Roll Payment configuration for a loan.

   Click here to learn more about this request

LoanPro's loan calculator offers a Roll Payment feature so you can test some basic loan terms. Note the following when making a request:

The payment match feature will help solve payment equations by choosing a variable to solve for.

Determine the solve parameters in the endpoint of this request.

The loan will need to be inactivated to use the payment match feature.

The loan will need to have its setup terms completed before the roll schedule feature will work.

For an example of how this feature works in the UI, take a look at our Roll Payment article.

👆

Pay special attention to the endpoint of this request.

This request does not use OData, so it's not included in the endpoint like most other LMS requests.

Database

For information on loan database tables, see the following articles:

Database – Loan Settings Entity (loan_settings_entity)

Database – Loan Table (loan_entity)

{
  "amount": "195.91",
  "method": "loan.rollPayment.loanRate",
  "amountIncludes": {
    "escrow": [
      2
    ]
  }
}
Path Params
int32
required

This is the ID of the loan.

Body Params
float
required

This sets the desired payment amount.

string
enum
required
Defaults to loan.rollPayment.loanRate

This determines what type of value to solve for.
> The result to the solution field in the response will apply to what type of value is chosen for this field.

amountIncludes
object

This object holds Escrow Calculator information if you'd like to factor escrow into the calculation.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json